org.apache.hadoop.yarn.server.nodemanager.util

## Class NodeManagerBuilderUtils

- java.lang.Object
- - org.apache.hadoop.yarn.server.nodemanager.util.NodeManagerBuilderUtils

-     public class NodeManagerBuilderUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeManagerBuilderUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceLocalizationSpec` | `newResourceLocalizationSpec(org.apache.hadoop.yarn.api.records.LocalResource rsrc, org.apache.hadoop.fs.Path path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeManagerBuilderUtils

          public NodeManagerBuilderUtils()

  - ### Method Detail

    - #### newResourceLocalizationSpec

          public static ResourceLocalizationSpec newResourceLocalizationSpec(org.apache.hadoop.yarn.api.records.LocalResource rsrc,
                                                                             org.apache.hadoop.fs.Path path)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.